# Change Log

All notable changes to this project will be documented in this file.

This change log adheres to [keepachangelog.com](http://keepachangelog.com).

## [Unreleased]

## [1.2.0] - 2024-04-19
### Added
- Add support for parameters as Array

## [1.1.0] - 2024-02-09
### Changed
- Add eslint-disable comment not to affect eslint format
- Update generated scripts to adopt eslint rule

## [1.0.0] - 2022-05-13

### Changed
- Remove codeclimate and execute rubocop in github actions
- Update corporate name from Increments Inc. to Qiita Inc.
- Update gem authors and emails in gemspec file
- Change ci from travis.ci to github actions
- Drop supporting legacy Ruby versions
- Add supporting new ruby versions
- Depend on rails >= 6.0

## [0.10.1] - 2020-03-09
### Fixed
- Improved TypeScript typing

## [0.10.0] - 2018-10-29
### Added
- Enable to change route's name

## [0.9.0] - 2018-08-24
### Added
- Improved TypeScript params typing support

## [0.8.1] - 2018-08-21
### Fixed
- Camelize `params` keys as `camelize` option

## [0.8.0] - 2018-08-21
### Added
- Support TypeScript
- Add `route_filter` and `route_set_filter` options

## [0.7.1] - 2018-07-26
- Refactor whole code base

### Fixed
- Enable to math engine name in case-sensitive way.

## [0.7.0] - 2018-07-11
### Added
- Support `camelize` option

### Changed
- Drop supporting legacy Ruby versions

## [0.6.0] - 2018-07-04
### Added
- Support Rails engine

### Changed
- Replace `path` with `output_dir`

## [0.5.0] - 2017-04-08
### Added
- Support additional parameters

## [0.4.0] - 2017-04-05
### Added
- Add `include_names` and `exclude_names` options

### Changed
- Rename `includes` and `excludes` as `include_paths` and `exclude_paths` respectively

## [0.3.0] - 2016-06-25
### Added
- Enable to configure through Ruby interface

### Changed
- Depend on rails >= 3.2
- Remove rake command line parameter from js file

## [0.2.1] - 2016-06-24
### Fixed
- Make sure that js file ends with a new line char

## [0.2.0] - 2016-06-24
### Changed
- Rename the task name as "js:routes"

## [0.1.0] - 2016-06-24
### Added
- Implement "js:rails:routes" task

[Unreleased]: https://github.com/increments/js_rails_routes/compare/v1.2.0...HEAD
[1.2.0]: https://github.com/increments/js_rails_routes/compare/v1.1.0...v1.2.0
[1.1.0]: https://github.com/increments/js_rails_routes/compare/v1.0.0...v1.1.0
[1.0.0]: https://github.com/increments/js_rails_routes/compare/v0.10.1...v1.0.0
[0.10.1]: https://github.com/increments/js_rails_routes/compare/v0.10.0...v0.10.1
[0.10.0]: https://github.com/increments/js_rails_routes/compare/v0.9.0...v0.10.0
[0.9.0]: https://github.com/increments/js_rails_routes/compare/v0.8.1...v0.9.0
[0.8.1]: https://github.com/increments/js_rails_routes/compare/v0.8.0...v0.8.1
[0.8.0]: https://github.com/increments/js_rails_routes/compare/v0.7.1...v0.8.0
[0.7.1]: https://github.com/increments/js_rails_routes/compare/v0.7.0...v0.7.1
[0.7.0]: https://github.com/increments/js_rails_routes/compare/v0.6.0...v0.7.0
[0.6.0]: https://github.com/increments/js_rails_routes/compare/v0.5.0...v0.6.0
[0.5.0]: https://github.com/increments/js_rails_routes/compare/v0.4.0...v0.5.0
[0.4.0]: https://github.com/increments/js_rails_routes/compare/v0.3.0...v0.4.0
[0.3.0]: https://github.com/increments/js_rails_routes/compare/v0.2.1...v0.3.0
[0.2.1]: https://github.com/increments/js_rails_routes/compare/v0.2.0...v0.2.1
[0.2.0]: https://github.com/increments/js_rails_routes/compare/v0.1.0...v0.2.0
[0.1.0]: https://github.com/increments/js_rails_routes/compare/033b945...v0.1.0
